Get DDoS protection price
curl --request GET \
--url https://api.gcore.com/cloud/v1/pricing/{region_id}/ddos \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/pricing/{region_id}/ddos"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/pricing/{region_id}/ddos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_month_days": 31,
"current_month_days_last": 26,
"next_month_days": 30,
"price": {
"feature_name": "Advanced DDoS Protection Bare-metal Servers",
"period": "day",
"price_currency": "EUR",
"price_per_30d": 60,
"price_per_day": 2,
"price_per_hour": 0.08333333333333333,
"unit_name": "PC",
"unit_size": 1
}
}DDoS Protection
Get DDoS protection price
Get the DDoS protection price based on mitigation capacity.
GET
/
cloud
/
v1
/
pricing
/
{region_id}
/
ddos
Get DDoS protection price
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Region ID
Example:
1
Response
200 - application/json
OK
Number of days in the current month
Number of days left in the current month
Number of days in the next month
DDoS protection price details
Show child attributes
Show child attributes
⌘I